/* Partner Slider */
.block-partners.container {
    padding-inline: 2.375em;
}

.block-partners h5.wp-block-heading {
    padding-top: 0.5rem;
    padding-bottom: 1.5rem;
    color: var(--color-primary);
    font-size: var(--text-sm);
    font-weight: var(--font-weight-semibold);

    @media (width >=1024px) {
        font-size: var(--text-lg);
    }
}

.partner-slider .swiper-slide img {
    margin-left: auto;
    margin-right: auto;
}

.partner-slider.nds-partners-slider .nds-swiper {
    padding-bottom: 5rem;

    @media (width >=768px) {
        padding-bottom: 0;
    }
}

.partner-slider.nds-partners-slider .swiper-button-prev,
.partner-slider.nds-partners-slider .swiper-button-next {
    display: none;
    margin-top: 0.5rem;
    width: 1.875rem;
    height: 1.875rem;
    border-radius: 50%;
    background-color: var(--color-base-light);

    @media (width >=768px) {
        display: flex;
    }

    @media (width >=1560px) {
        width: 3.125rem;
        height: 3.125rem;
    }
}

.partner-slider.nds-partners-slider .swiper-button-prev:hover,
.partner-slider.nds-partners-slider .swiper-button-next:hover {
    background-color: var(--color-blue-200);
}

.partner-slider.nds-partners-slider .swiper-button-prev {
    left: 1rem;

    @media (width >=1560px) {
        left: -4.6rem;
    }
}

.partner-slider.nds-partners-slider .swiper-button-next {
    right: 1rem;

    @media (width >=1560px) {
        right: -4.6rem;
    }
}

.partner-slider .swiper-button-prev svg,
.partner-slider .swiper-button-next svg {
    width: 5px;
    color: var(--color-primary);
    height: 1rem;

    @media (width >=1560px) {
        width: 0.5625rem;
    }
}

.partner-slider .swiper-pagination {
    @media (width >=768px) {
        display: none;
    }
}

.partner-slider .swiper-pagination-bullet, 
.partner-slider .swiper-pagination-bullet.swiper-pagination-bullet-active {
    background-color: var(--color-gray-200);
    width: 10px;
    height: 10px;
}

/* Product Slider */
.block-products-slider.container {
    @media (width >=1024px) {
        max-width: 1390px;
    }
}

.block-products-slider .swiper-outer {
    position: relative;
}

.block-products-slider .wp-block-group {
    margin-top: 0;
}

.block-products-slider .wp-block-group h4 {
    padding-top: 0;
    padding-bottom: 1rem;
    color: var(--color-primary);
    font-size: var(--text-lg);

    @media (width >=1024px) {
        padding-top: 1.3rem;
        padding-bottom: 3.5rem;
        font-size: var(--text-2xl);
    }
}

.block-products-slider .wp-block-woocommerce-product-image {
    border-radius: var(--radius-sm);
}

.block-products-slider .wc-block-components-product-image img {
    @media (width <=600px) {
        height: 159px !important;
    }
}

.block-products-slider .tinv-wishlist {
    position: absolute;
    top: 10px;
    right: 12px;

    .tinvwl_add_to_wishlist-text {
        display: none;
    }

    .tinvwl_add_to_wishlist_button.tinvwl-icon-heart:before {
        font-size: var(--text-xl);
        color: var(--color-secondary);
    }
}

.block-products-slider .wp-block-post-title {
    margin-top: 1rem;
    color: var(--color-primary);
    font-size: var(--text-base);
    line-height: 1.3;

    @media (width >=1024px) {
        margin-top: 1.7rem;
        font-size: var(--text-md);
    }
}

.block-products-slider .wp-block-post-title:hover a {
    opacity: 0.72;
}

.block-products-slider .wc-block-components-product-summary p,
.block-products-slider .wc-block-product-description p {
    padding-bottom: 0.35rem;
    
}

.block-products-slider .wc-block-components-product-summary p,
.block-products-slider .wc-block-product-description p,
.block-products-slider .wc-block-components-product-summary ul,
.block-products-slider .wc-block-product-description ul {
    font-size: var(--text-xs);

    @media (width >=1024px) {
        font-size: var(--text-base);
    }
}

.block-products-slider .wc-block-components-product-summary ul:not(.block-editor-block-variation-picker__variations):not(.products),
.block-products-slider .wc-block-product-description ul:not(.block-editor-block-variation-picker__variations):not(.products) {
    margin-block-start: 0;
}

.block-products-slider .wc-block-components-product-summary ul:not(.block-editor-block-variation-picker__variations) li,
.block-products-slider .wc-block-product-description ul:not(.block-editor-block-variation-picker__variations) li {
    padding-bottom: 0 !important;
}

.block-products-slider .woocommerce-Price-amount {
    color: var(--color-primary);
    font-size: var(--font-base-size);
    font-weight: var(--font-weight-bold);
}

.block-products-slider .wp-block-button,
.block-products-slider .button.out-of-stock-button {
    display: inline-block;
    margin-top: 1.4rem;
}

.block-products-slider .wp-block-woocommerce-product-price {
    margin-top: 0.5rem;
}

/* Variations Product Price */
.block-products-slider .product-type-variable .wp-block-woocommerce-product-price span:not(:first-child) {
    display: none;
}

.block-products-slider .product-type-variable .wp-block-woocommerce-product-price .woocommerce-Price-amount:before {
    content: 'From ';
}

/* Special Price */
.block-products-slider .wc-block-components-product-price del {
    display: block;
    text-decoration: none;
}

.block-products-slider .wc-block-components-product-price del .woocommerce-Price-amount bdi {
    text-decoration: line-through;
}

.block-products-slider .wc-block-components-product-price del .woocommerce-Price-amount:before {
    content: 'From ';
}

.block-products-slider .wc-block-components-product-price ins {
    text-decoration: none;
}

.block-products-slider .wc-block-components-product-price ins .woocommerce-Price-amount {
    font-size: var(--text-sm);
    font-weight: var(--font-weight-normal);
}

.block-products-slider .swiper-outer .swiper-button-prev,
.block-products-slider .swiper-outer .swiper-button-next {
    display: none;
    margin-top: -2.7rem;
    width: 3.125rem;
    height: 3.125rem;
    border-radius: 50%;
    background-color: var(--color-primary);

    @media (width >=1560px) {
        display: flex;
    }
}

.block-products-slider .swiper-outer .swiper-button-prev:hover,
.block-products-slider .swiper-outer .swiper-button-next:hover {
    background-color: var(--color-primary-light);
}

.block-products-slider .swiper-outer .swiper-button-prev {
    left: -5.6rem;
}

.block-products-slider .swiper-outer .swiper-button-next {
    right: -5.6rem;
}

.block-products-slider .swiper-button-prev svg,
.block-products-slider .swiper-button-next svg {
    color: var(--color-secondary);
    width: 0.5625rem;
    height: 1rem;
}

/* Reviews */
.block-products-slider .wc-block-grid__product-rating .wc-block-grid__product-rating__stars span:before {
    color: var(--color-yellow);
}

.block-products-slider .block-see-all-button {
    @media (width >=1024px) {
        padding-top: 2.1rem;
    }
}

